import cv2 as cv

class Spell:
  def __init__(self, monitor, path, cooldown) -> None:
    self.monitor = monitor
    self.spellIcon = cv.imread("assets/spells/" + path, cv.IMREAD_GRAYSCALE)
  
  def click():
    self.monitor.findMatchAndClickIfAvailable(self.spellIcon)